using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.Passport.DataAccess
{
	public class UserLogInfoUpdate : DataAccessBase
	{
		public UserLogInfoUpdate()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.DES;
			base.Key = "1234";
			base.IV = "1234";
			ConnectionString = ConfigurationManager.AppSettings["Passport"];
			base.InitCommand("[dbo].[UserLogInfoUpdate]");
			ConfigParameter();
		}

		private SqlParameter paramLogID;
		public System.Int64 LogID
		{
			get
			{
				return (System.Int64)paramLogID.Value;
			}
			set
			{
				paramLogID.Value = value;
			}
		}

		private SqlParameter paramSubSystemID;
		public System.String SubSystemID
		{
			get
			{
				return (System.String)paramSubSystemID.Value;
			}
			set
			{
				paramSubSystemID.Value = value;
			}
		}

		private SqlParameter paramUserID;
		public System.Int32 UserID
		{
			get
			{
				return (System.Int32)paramUserID.Value;
			}
			set
			{
				paramUserID.Value = value;
			}
		}

		private SqlParameter paramLogIP;
		public System.String LogIP
		{
			get
			{
				return (System.String)paramLogIP.Value;
			}
			set
			{
				paramLogIP.Value = value;
			}
		}

		private SqlParameter paramLogTime;
		public System.DateTime LogTime
		{
			get
			{
				return (System.DateTime)paramLogTime.Value;
			}
			set
			{
				paramLogTime.Value = value;
			}
		}

		private SqlParameter paramDescription;
		public System.String Description
		{
			get
			{
				return (System.String)paramDescription.Value;
			}
			set
			{
				paramDescription.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramLogID = new SqlParameter();
			paramLogID.ParameterName = "@LogID";
			paramLogID.SqlDbType = SqlDbType.BigInt;
			paramLogID.Size = 8;
			paramLogID.Scale = 0;
			paramLogID.Direction = ParameterDirection.Input;
			paramLogID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramLogID);
			//--------------------------------------------------------
			paramSubSystemID = new SqlParameter();
			paramSubSystemID.ParameterName = "@SubSystemID";
			paramSubSystemID.SqlDbType = SqlDbType.VarChar;
			paramSubSystemID.Size = 6;
			paramSubSystemID.Direction = ParameterDirection.Input;
			paramSubSystemID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramSubSystemID);
			//--------------------------------------------------------
			paramUserID = new SqlParameter();
			paramUserID.ParameterName = "@UserID";
			paramUserID.SqlDbType = SqlDbType.Int;
			paramUserID.Precision = 10;
			paramUserID.Scale = 0;
			paramUserID.Direction = ParameterDirection.Input;
			paramUserID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUserID);
			//--------------------------------------------------------
			paramLogIP = new SqlParameter();
			paramLogIP.ParameterName = "@LogIP";
			paramLogIP.SqlDbType = SqlDbType.VarChar;
			paramLogIP.Size = 30;
			paramLogIP.Direction = ParameterDirection.Input;
			paramLogIP.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramLogIP);
			//--------------------------------------------------------
			paramLogTime = new SqlParameter();
			paramLogTime.ParameterName = "@LogTime";
			paramLogTime.SqlDbType = SqlDbType.DateTime;
			paramLogTime.Size = 16;
			paramLogTime.Scale = 3;
			paramLogTime.Direction = ParameterDirection.Input;
			paramLogTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramLogTime);
			//--------------------------------------------------------
			paramDescription = new SqlParameter();
			paramDescription.ParameterName = "@Description";
			paramDescription.SqlDbType = SqlDbType.VarChar;
			paramDescription.Size = 1000;
			paramDescription.Direction = ParameterDirection.Input;
			paramDescription.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramDescription);
		}
	}
}